/v0-admin | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
v0_admin_mcp_servers_create | Create MCP Server |
v0_admin_mcp_servers_delete | Delete MCP Server |
v0_admin_mcp_servers_find | List MCP Servers |
v0_admin_mcp_servers_get_by_id | Get MCP Server |
v0_admin_mcp_servers_update | Update MCP Server |
v0_admin_rate_limits_find | Find Rate Limit |
v0_admin_reports_get_aiusage | Get AI Usage Report |
v0_admin_reports_get_usage | Get Usage Report |
v0_admin_reports_get_user_activity | Get User Activity Report |
v0_admin_user_get | Get User |
v0_admin_user_get_billing | Get Billing |
v0_admin_user_get_plan | Get Plan |
v0_admin_user_get_scopes | Get User Scopes |
v0_admin_mcp_servers_create
Create MCP Server Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
auth | object | No | — | Authentication configuration. Defaults to no authentication. |
description | string | No | — | An optional description of the MCP server. |
enabled | boolean | No | — | Whether the MCP server is enabled. Defaults to true. |
name | string | Yes | — | The display name of the MCP server. |
scope | string | No | — | The scope of the MCP server. Defaults to user. |
url | string | Yes | — | The URL of the MCP server. Must be HTTPS in production. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"auth": {
"description": "Authentication configuration. Defaults to no authentication."
},
"description": {
"type": "string",
"description": "An optional description of the MCP server."
},
"enabled": {
"type": "boolean",
"description": "Whether the MCP server is enabled. Defaults to true."
},
"name": {
"type": "string",
"description": "The display name of the MCP server."
},
"scope": {
"type": "string",
"description": "The scope of the MCP server. Defaults to user.",
"enum": [
"user",
"team"
]
},
"url": {
"type": "string",
"description": "The URL of the MCP server. Must be HTTPS in production."
}
},
"required": [
"PCID",
"name",
"url"
]
}
v0_admin_mcp_servers_delete
Delete MCP Server Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
mcpServerId | string | Yes | — | The ID of the MCP server to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"mcpServerId": {
"type": "string",
"description": "The ID of the MCP server to delete."
}
},
"required": [
"PCID",
"mcpServerId"
]
}
v0_admin_mcp_servers_find
List MCP ServersShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
v0_admin_mcp_servers_get_by_id
Get MCP Server Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
mcpServerId | string | Yes | — | The ID of the MCP server to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"mcpServerId": {
"type": "string",
"description": "The ID of the MCP server to retrieve."
}
},
"required": [
"PCID",
"mcpServerId"
]
}
v0_admin_mcp_servers_update
Update MCP Server Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
mcpServerId | string | Yes | — | The ID of the MCP server to update. |
auth | object | No | — | Authentication configuration. |
description | string | No | — | An optional description of the MCP server. |
enabled | boolean | No | — | Whether the MCP server is enabled. |
name | string | No | — | The display name of the MCP server. |
scope | string | No | — | The scope of the MCP server. |
url | string | No | — | The URL of the MCP server. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"mcpServerId": {
"type": "string",
"description": "The ID of the MCP server to update."
},
"auth": {
"description": "Authentication configuration."
},
"description": {
"type": "string",
"description": "An optional description of the MCP server."
},
"enabled": {
"type": "boolean",
"description": "Whether the MCP server is enabled."
},
"name": {
"type": "string",
"description": "The display name of the MCP server."
},
"scope": {
"type": "string",
"description": "The scope of the MCP server.",
"enum": [
"user",
"team"
]
},
"url": {
"type": "string",
"description": "The URL of the MCP server."
}
},
"required": [
"PCID",
"mcpServerId"
]
}
v0_admin_rate_limits_find
Find Rate Limit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
scope | string | No | — | The context or namespace to check rate limits for (e.g., a project slug or feature area). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"scope": {
"type": "string",
"description": "The context or namespace to check rate limits for (e.g., a project slug or feature area)."
}
},
"required": [
"PCID"
]
}
v0_admin_reports_get_aiusage
Get AI Usage Report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | Inclusive start datetime filter. |
end | string | No | — | Exclusive end datetime filter. |
cursor | string | No | — | Opaque cursor returned by a previous request for forward pagination. |
limit | integer | No | — | Maximum number of rows to return. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start": {
"type": "string",
"description": "Inclusive start datetime filter."
},
"end": {
"type": "string",
"description": "Exclusive end datetime filter."
},
"cursor": {
"type": "string",
"description": "Opaque cursor returned by a previous request for forward pagination."
},
"limit": {
"type": "integer",
"description": "Maximum number of rows to return."
}
},
"required": [
"PCID"
]
}
v0_admin_reports_get_usage
Get Usage Report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
startDate | string | No | — | Query parameter “startDate” |
endDate | string | No | — | Query parameter “endDate” |
chatId | string | No | — | Query parameter “chatId” |
messageId | string | No | — | Query parameter “messageId” |
userId | string | No | — | Query parameter “userId” |
limit | number | No | — | Query parameter “limit” |
cursor | string | No | — | Base64 encoded cursor containing pagination data |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"startDate": {
"type": "string",
"description": "Query parameter \"startDate\""
},
"endDate": {
"type": "string",
"description": "Query parameter \"endDate\""
},
"chatId": {
"type": "string",
"description": "Query parameter \"chatId\""
},
"messageId": {
"type": "string",
"description": "Query parameter \"messageId\""
},
"userId": {
"type": "string",
"description": "Query parameter \"userId\""
},
"limit": {
"type": "number",
"description": "Query parameter \"limit\""
},
"cursor": {
"type": "string",
"description": "Base64 encoded cursor containing pagination data"
}
},
"required": [
"PCID"
]
}
v0_admin_reports_get_user_activity
Get User Activity Report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
startDate | string | No | — | Query parameter “startDate” |
endDate | string | No | — | Query parameter “endDate” |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"startDate": {
"type": "string",
"description": "Query parameter \"startDate\""
},
"endDate": {
"type": "string",
"description": "Query parameter \"endDate\""
}
},
"required": [
"PCID"
]
}
v0_admin_user_get
Get UserShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
v0_admin_user_get_billing
Get Billing Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
scope | string | No | — | Filters billing data by a specific scope, such as a project ID or slug. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"scope": {
"type": "string",
"description": "Filters billing data by a specific scope, such as a project ID or slug."
}
},
"required": [
"PCID"
]
}
v0_admin_user_get_plan
Get PlanShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
v0_admin_user_get_scopes
Get User ScopesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}

